Last Comment Bug 758691 - Failure in awesomebar tests with 'Autocomplete popup has been opened'
: Failure in awesomebar tests with 'Autocomplete popup has been opened'
Status: VERIFIED FIXED
[mozmill-test-failure]
:
Product: Mozilla QA
Classification: Other
Component: Mozmill Tests (show other bugs)
: unspecified
: All All
: -- normal (vote)
: ---
Assigned To: Remus Pop (:RemusPop)
:
Mentors:
http://mozmill-ci.blargon7.com/#/func...
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-25 10:42 PDT by Remus Pop (:RemusPop)
Modified: 2012-06-18 01:54 PDT (History)
1 user (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---
fixed
fixed
fixed
fixed
fixed


Attachments
patch v1 (all branches) (1.83 KB, patch)
2012-06-08 00:49 PDT, Remus Pop (:RemusPop)
hskupin: review-
Details | Diff | Splinter Review
patch v2 (all branches) [checked-in] (1.86 KB, patch)
2012-06-08 05:29 PDT, Remus Pop (:RemusPop)
hskupin: review+
Details | Diff | Splinter Review

Description Remus Pop (:RemusPop) 2012-05-25 10:42:54 PDT
There are lots of failures when we test that autocomplete is opened. Check the report in the url.
This seems to be happening on OSX and Linux. Windows is unaffected.
Comment 1 Henrik Skupin (:whimboo) 2012-05-29 07:26:38 PDT
We do not only want to investigate that failure but fix it. Remus, mind having a look at? I think that we should not use expect.ok() but waitFor().
Comment 2 Remus Pop (:RemusPop) 2012-05-30 01:57:27 PDT
If it's possible I would want to try 1 more time to open the autocomplete popup, in case we fail first.
Comment 3 Henrik Skupin (:whimboo) 2012-05-30 02:10:34 PDT
Why would you try to open it again? It should open by a keypress in the locationbar. What I think is that our test is just too fast and we call expect.ok way before the popup has been opened.
Comment 4 Henrik Skupin (:whimboo) 2012-06-05 04:29:05 PDT
Remus, I think that has been fixed by one of your latest fixes. Do you agree?
Comment 5 Remus Pop (:RemusPop) 2012-06-05 04:47:03 PDT
Yes. Interesting.
Comment 6 Henrik Skupin (:whimboo) 2012-06-06 03:45:56 PDT
This failure seems to be back on Firefox 14 Beta:

http://mozmill-ci.blargon7.com/#/functional/report/fdec829b93b19c73985be1d3887241c9

As mentioned in comment 1 please change the expect.ok() to waitFor() across branches. Please check all the awesomebar tests. Remus, would you mind working on it?
Comment 7 Remus Pop (:RemusPop) 2012-06-08 00:49:39 PDT
Created attachment 631296 [details] [diff] [review]
patch v1 (all branches)

The only test that was using expect instead of waitFor when waiting for autocompleteResults to be opened was testEscapeAutocomplete.
This apples cleanly on all branches, including esr10.
Comment 8 Henrik Skupin (:whimboo) 2012-06-08 02:58:04 PDT
Comment on attachment 631296 [details] [diff] [review]
patch v1 (all branches)

>-  expect.ok(!locationBar.autoCompleteResults.isOpened,
>-            "The auto-complete list is closed");
>+  controller.waitFor(function () {
>+    return !locationBar.autoCompleteResults.isOpened;
>+  }, "Autocomplete list has been opened");

nit: this should be 'closed' not 'opened'.
Comment 9 Remus Pop (:RemusPop) 2012-06-08 05:29:47 PDT
Created attachment 631357 [details] [diff] [review]
patch v2 (all branches) [checked-in]

Fixed the message.
Comment 10 Henrik Skupin (:whimboo) 2012-06-08 05:38:07 PDT
Pushed:
http://hg.mozilla.org/qa/mozmill-tests/rev/b736bb4acf94 (default)
http://hg.mozilla.org/qa/mozmill-tests/rev/02cd2c196e44 (aurora)

I have pushed this to default and aurora so we can ensure it is really fixed. If nothing else comes up because of this push lets also backport the patch to older branches.

Thanks Remus!
Comment 11 Remus Pop (:RemusPop) 2012-06-11 06:15:32 PDT
No failures in the last testruns. I think we're safe patching the other branches.

Note You need to log in before you can comment on or make changes to this bug.